:root {
	--header: #000000;
	--header_text: #ffffff;
	
	--background: #ffffff;
	--border: #aaaaaa;
	--text: #000000;
	--hint: #aaaaaa;
	--hover: #0000000e;
	
	--color: #ee4040;
	--color: #AA5555;
	
	--print_color: #000000;
	--print_hint: #cccccc;
	--print_background: #eeeeee;
	
	--font_size: 18px;
	--ayat_font_size: 21px;
	--ayat_num_font_size: 23px;
	--line_height: 1.8;
	--margin: 8px;
	--margin_small: 2px;
	--padding: 6px;
	--padding_left_right: 8px;
	--padding_viewport: 2vmin;
	--radius: 6px;
	--input_height: calc(var(--font_size) * var(--line_height) + 12px);
	--textarea_height: 200px;
	--border_spacing: 2px;
}
@font-face { font-family: 'SegoeUI'; src: url('fonts/SegoeUI.ttf') format('truetype'); }
@font-face { font-family: 'AyatFont'; src: url('fonts/UthmanicHafs1Ver13.ttf') format('truetype'); }
@font-face { font-family: 'AyatNumFont'; src: url('fonts/UthmanicHafs1Ver17.ttf') format('truetype'); }
* {
	font-family: 'SegoeUI';
	font-size: var(--font_size);
	color: var(--text);
	line-height: var(--line_height);
}
a:link, a:visited, a:hover, a:active {
	display: block;
	color: var(--color);
	text-decoration: none;
}
svg * {
	stroke: var(--text);
}
.title {
	background-color: var(--header);
	border: 1px solid var(--header);
	border-radius: var(--radius);
	color: var(--header_text);
	text-align: center;
	margin: 0;
	margin-top: var(--margin);
	margin-bottom: var(--margin);
	padding: var(--padding);
}
.title td {
	color: var(--header_text);
	text-align: center;
}
.selected {
	color: var(--color);
}
iframe {
	width: 0;
	height: 0;
	margin: 0;
	padding: 0;
	border: 0px solid var(--background);
}

/* Layout ================================================================== */
body {
	background-color: var(--background);
	margin: 0;
	padding: 0;
	overflow: hidden;
}
.layout_table {
	width: 100%;
}
.layout_header {
	background-color: var(--header);
}
.layout_content {
	width: 100vw;
	height: calc(100vh - ( var(--font_size) * var(--line_height) ) - 18px);
	overflow: auto;
}
.content {
	margin: var(--margin);
}
#load{
	width: 100%;
	height: 100%;
	position: fixed;
	z-index: 9999;
	background: url('loading.svg') no-repeat center center rgba(0,0,0,0.25);
}

/* Top Menu ================================================================ */
.top_menu {
	width: 100%;
	border-bottom: 1px solid var(--border);
}
.top_menu td {
	vertical-align: bottom;
}
.top_menu a:link, .top_menu a:visited, .top_menu a:hover, .top_menu a:active {
	width: 100%;
	color: var(--header_text);
	padding-top: 8px;
	padding-bottom: 4px;
	padding-left: 0;
	padding-right: 0;
	border-bottom: 4px solid var(--header);
	text-align: center;
	white-space: nowrap;
}
.top_menu a.selected:link, .top_menu a.selected:visited, .top_menu a.selected:hover, .top_menu a.selected:active {
	border-bottom: 4px solid var(--header_text);
}
.top_menu td.top_menu_icon {
	width: calc(var(--font_size) * var(--line_height) + 16px);
	text-align: center;
	vertical-align: middle;
	cursor: pointer;
}
.top_menu td.top_menu_icon svg {
	width: var(--font_size);
}
.top_menu td.top_menu_icon line {
	stroke: var(--header_text);
}
.submenu {
	position: absolute;
	width: 100vw;
	height: calc(100vh - 48px);
	z-index: 100;
}
.submenu div {
	position: absolute;
	background-color: var(--header);
	margin-top: 2px;
	max-height: calc(100vh - 50px);
	overflow-x: hidden;
	overflow-y: auto;
	border-left: 1px solid var(--border);
	border-bottom: 1px solid var(--border);
}
.submenu a:link, .submenu a:visited, .submenu a:hover, .submenu a:active {
	width: 160px;
	padding-top: 8px;
	padding-bottom: 8px;
	padding-left: 18px;
	padding-right: 18px;
	background-color: var(--header);
	color: var(--header_text);
	border-right: 4px solid var(--header);
}
.submenu a:not(:last-child):link, .submenu a:not(:last-child):visited, .submenu a:not(:last-child):hover, .submenu a:not(:last-child):active {
	border-bottom: 1px dashed var(--border);
}
.submenu a:hover, .submenu a:active {
	border-right: 4px solid var(--header_text);
}
.submenu a.selected:link, .submenu a.selected:visited, .submenu a.selected:hover, .submenu a.selected:active {
	border-right: 4px solid var(--header_text);
}

/* Themes ================================================================== */
ul.colors {
	list-style-type: none;
	margin: 0;
	display: block;
	text-align: center;
	border-radius: var(--radius);
	padding: var(--margin);
	border: 1px solid var(--border);
}
ul.colors li {
	display: inline-block;
	margin: var(--margin);
	padding: 0;
}
ul.colors a:link, ul.colors a:visited, ul.colors a:hover, ul.colors a:active {
	display: block;
	width: calc(2 * var(--input_height));
	height: var(--input_height);
	border-radius: var(--radius);
	line-height: var(--input_height);
}

/* List ==================================================================== */
ul.list, ul.list li {
	display: block;
	list-style-type: none;
	margin: 0;
	padding: 0;
}
ul.list li:not(:last-child) {
	border-bottom:1px dashed var(--border);
}
ul.list > li > div {
	padding: var(--margin);
}
ul.list > li > table > tr > td:not(:has(a)), ul.list > li > table > tr > td > a,
ul.list > li > table > tbody > tr > td:not(:has(a)), ul.list > li > table > tbody > tr > td > a {
	padding: var(--margin);
}
ul.list > li > table td.arrow, .title td.arrow {
	min-width: var(--font_size);
	text-align: center;
	font-weight: bold;
}
ul.list li table td.arrow:not(:empty) {
	cursor: pointer;
}
ul.list li table td.controls {
	text-align: left;
}
ul.list li table td.controls a {
	display: inline-block;
}
ul.list li table td.controls input[type='text'].arrange {
	margin: 0;
	margin-left: var(--margin);
	margin-right: var(--margin);
}
ul.list li:hover {
	background-color: var(--hover);
}

/* Message ================================================================= */
.msg {
	color: var(--color);
	border: 1px solid var(--color);
	border-radius: var(--radius);
	text-align: center;
	margin: 0;
	margin-top: var(--margin);
	margin-bottom: var(--margin);
	padding-top: var(--padding);
	padding-bottom: var(--padding);
	padding-left: var(--padding_left_right);
	padding-right: var(--padding_left_right);
}
.msg div {
	margin-top: 0;
	margin-left: auto;
	margin-right: auto;
	padding: 0;
	color: var(--color);
	text-align: center;
}
.msg ul {
	display: inline-block;
	margin: 0;
	padding: 0;
}
.msg li {
	text-align: right;
	color: var(--color);
}

/* Form ==================================================================== */
form {
	margin: 0;
	padding: 0;
}
form label input[type='text'], form label input[type='password'], form label textarea, form label select {
	margin-top: var(--margin_small);
}
input[type='text'], input[type='password'], textarea, select, button {
	width: 100%;
	background-color: var(--background);
	border: 1px solid var(--border);
	border-radius: var(--radius);
	padding-top: var(--padding);
	padding-bottom: var(--padding);
	padding-left: var(--padding_left_right);
	padding-right: var(--padding_left_right);
	height: var(--input_height);
}
input[type='checkbox'], input[type='radio'] {
	width: var(--font_size);
	height: var(--font_size);
	vertical-align: middle;
	
}
label {
	display: block;
	margin: 0;
	padding: 0;
	margin-top: var(--margin);
	margin-bottom: var(--margin);
}
label:has(input[type='checkbox']) {
	margin: 0;
	padding: 0;
	padding-top: var(--margin);
	padding-bottom: var(--margin);
}
textarea {
	height: var(--textarea_height);
}
input[type='text'].arrange {
	width: calc( 2.4 * var(--font_size)  );
	height: calc( 1.8 * var(--font_size)  );
	margin: 0;
	padding: 0;
	text-align: center;
}
button, a.button, .button {
	display: block;
	font-weight: normal;
	background-color: var(--color);
	border: 1px solid var(--color);
	color: var(--background);
	border-radius: var(--radius);
	margin: 0;
	margin-top: var(--margin);
	margin-bottom: var(--margin);
	text-align: center;
	cursor: pointer;
	height: var(--input_height);
	line-height: 1;
}
a.button, .button {
	line-height: var(--input_height);
}

/* Popup =================================================================== */
.popup {
	position: fixed;
	width: 100%;
	height: 100%;
	margin: 0px;
	padding: 0px;
	left: 0px;
	top: 0px;
	background-color: #00000088;
	z-index: 9999;
}
.popup * {
	margin: 0;
}
.popup_td {
	padding: var(--padding_viewport);
}
.popup_table {
	background-color: var(--background);
	border-radius: var(--radius);
	box-shadow: 0px 0px 20px 0px #000000;
	width: 100%;
	height: 100%;
	border-spacing: var(--margin);
	border: 1px solid var(--border);
}
#search_res {
	text-align: justify;
	text-justify: inter-word;
	overflow: auto;
	max-width: calc(100vw - 2*var(--padding_viewport) - 2*var(--margin));
	max-height: calc(100vh - 2*var(--padding_viewport) - 4*var(--margin) - 2*var(--input_height));
	padding-left: var(--margin);
}

/* Content ================================================================= */
.level_1, .level_2, .level_3, .level_4, .level_5, .level_6, .level_7, .level_8, .level_9, .level_10 {
	background-color: var(--color);
	border: 1px solid var(--color);
	border-radius: var(--radius);
	color: var(--background);
	margin: 0;
	margin-top: var(--margin);
	margin-bottom: var(--margin);
	padding: var(--padding);
}

/* Ayat ==================================================================== */
.ayat {
	margin: 0;
	padding: 0;
	line-height: var(--line_height);
	text-align: justify;
	text-justify: inter-word;
	font-family: 'AyatFont', Verdana;
	font-size: var(--ayat_font_size);
}
.ayat span {
	font-family: 'AyatNumFont', Verdana;
	font-size: var(--ayat_num_font_size);
	line-height: 1;
}
.ayat_hint {
	text-align: left;
	color: var(--hint);
}

/* Hadith ================================================================== */
.hadith {
	color: var(--hint);
	text-align: justify;
	text-justify: inter-word;
}
.hadith span {
	color: var(--text);
}
.hadith_hint {
	text-align: left;
	color: var(--hint);
}

/* Text ==================================================================== */
.text {
	color: var(--hint);
	text-align: justify;
	text-justify: inter-word;
	padding-bottom: var(--padding);
}
.text span {
	color: var(--text);
}
